# Public API

Fetch end user information and react to Identity Intelligence threat detection using Cisco Identity Intelligence.

## Authorization

### Prerequisites

Generate client API credentials:

1. Sign in to **Cisco Identity Intelligence**.
2. From the Integrations tab, click **Add Integration**.
3. Scroll down and click **Add API Client**.
4. Provide a **Name** and **Description**.
5. Click **Save and generate credentials**.
6. Click **Copy all** to copy the credentials to your clipboard.

### Exchange the client credentials for an access token

1. Send a POST request to the **tokenUrl** with the following body:

   ```javascript
   {
     "client_id": "<client ID of the API client>",
     "client_secret": "<client secret of the API client>",
     "grant_type": "client_credentials"
   }
   ```

{% hint style="info" %}
API clients created before September 2025 may require an additional `audience` field (audience of the API client) in the body of the POST request. If you are requesting a token for an existing API Client that originally included an `audience` , please ensure that this field is present in your request to avoid errors.  \
\
You can check a particular API client's settings via the Integrations page in Cisco Identity Intelligence to confirm whether the `audience` field is required.
{% endhint %}

2. Extract the **access\_token** from the response.\
   An access token is valid for 10 hours.
3. When invoking the public API requests set an **Authorization** header with the value `Bearer <value of`**`access_token`**`>`

## Using a Postman Collection

Import the attached Postman collection JSON file and follow the instructions in the collection **overview** tab.

{% file src="<https://582105988-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FqPSBzsjxd7KYg9DNVZ4l%2Fuploads%2FcogvAecM5IoSzcvdY0h8%2FCisco%20Identity%20Intelligence%20Public%20API.postman_collection.json?alt=media&token=ea885689-3c50-4584-afa2-bad03c840b5f>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oort.io/public-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
